package pboweaverplugin.view.constructs;

import java.util.ArrayList;
import java.util.List;

import pboweaverplugin.view.model.Location;

public abstract class AbstractPbOBuilder {
	String name;
	Location declared;
	List<Location> accessed;
	
	public AbstractPbOBuilder() {
		accessed = new ArrayList<Location>();
	}
	public abstract AbstractPbOObject build();
	public void setName(String name) { this.name = name; }
	public void setDeclared(Location loc) { this.declared = loc; }
	public void addAccessed(Location loc) { this.accessed.add(loc); }
}
