package pboweaverplugin.view.constructs;

import java.util.List;

import pboweaverplugin.view.model.Location;

public abstract class AbstractPbOObject extends LabelledPbOObject {
	protected String name;
	protected Location declared;
	protected List<Location> accessed;
	
	public AbstractPbOObject(String name, Location declared, List<Location> accessed) {
		this.name = name;
		this.declared = declared;
		this.accessed = accessed;
	}
	
	public String getName() { return this.name; }
	public Location getDeclared() { return this.declared; }
	public List<Location> getAccessed() { return this.accessed; }
	
	public abstract String getText();
}
