package pboweaverplugin.view.constructs;

import java.util.ArrayList;
import java.util.Collections;

import pboweaverplugin.view.model.Location;

public class PbOChoiceBuilder extends AbstractPbOBuilder {

	@Override
	public AbstractPbOObject build() {
		PbOChoice choice = new PbOChoice(this.name, null, this.accessed);
		resetToDefaults();
		return choice;
	}
	
	public void resetToDefaults() {
		this.name = "PbO Choice";
		this.declared = null;
		this.accessed = new ArrayList<Location>();
	}


}
