package pboweaverplugin.view.constructs;

import java.util.ArrayList;

import pboweaverplugin.view.model.Location;

public class PbOLogBuilder extends AbstractPbOBuilder {

	@Override
	public AbstractPbOObject build() {
		PbOLog log = new PbOLog(this.name, null, this.accessed);
		resetToDefaults();
		return log;
	}
	
	public void resetToDefaults() {
		this.name = "PbO Log";
		this.declared = null;
		this.accessed = new ArrayList<Location>();
	}

}
