package pboweaverplugin.view.parser;

import java.util.List;

import pboweaverplugin.view.constructs.AbstractPbOObject;
import pboweaverplugin.view.parser.fsm.PbOParserFiniteStateMachine;
import pboweaverplugin.view.parser.fsm.choice.PbOChoiceFiniteStateMachine;

public class ChoiceParserState extends InfoParserState {

	public ChoiceParserState(PbOParserFiniteStateMachine fsm) {
		super(fsm);
	}
	
	public List<AbstractPbOObject> getChoices() {
		return ((PbOChoiceFiniteStateMachine)fsm).getChoices();
	}

}
