package ca.ubc.cs.beta.pbo.ast;


import org.eclipse.cdt.core.parser.EndOfFileException;
import org.eclipse.cdt.core.parser.IToken;


public abstract class AbstractPbOExporter implements PbOExporterInterface {
	
	protected int lookAheadCount = 1;
	
	public int getLookAheadCount()
	{
		return lookAheadCount;
	}
	
	public IToken getLookAheadNext() throws EndOfFileException
	{
		return LookAhead(lookAheadCount++);
	}

	public void backup() { lookAheadCount--; }

}
