package org.eclipse.cdt.internal.core.dom.parser.c;

import org.eclipse.cdt.core.dom.ast.IASTName;
import org.eclipse.cdt.core.dom.ast.IASTParameterDeclaration;
import org.eclipse.cdt.core.dom.ast.IASTPbOParamDeclarator;
import org.eclipse.cdt.core.dom.ast.IScope;

public class CASTPbOParamDeclarator extends CASTDeclarator implements IASTPbOParamDeclarator {

	private IASTParameterDeclaration [] parameters = null;
    private int parametersPos=-1;
    private boolean varArgs;
    private IScope scope;
    
    
	public CASTPbOParamDeclarator(IASTName name) {
		super(name);
		
	
	}
	
	public IASTName getName()
	{
		/*new Exception().printStackTrace();
		System.out.println("GOT NAME");*/
		return super.getName();
	}

	
}
