package pboprojectwizards;

import java.net.URI;

import org.apache.commons.lang.ArrayUtils;
import org.eclipse.cdt.ui.wizards.CCProjectWizard;
import org.eclipse.core.resources.IProject;
import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IProgressMonitor;
import pboweaverplugin.builder.WeaverNature;

public class PbOCPPProjectWizard extends CCProjectWizard {
	
	@Override
	public IProject createIProject(final String name, final URI location, IProgressMonitor monitor) throws CoreException {
		IProject newProject = super.createIProject(name, location, monitor);
		
		WeaverNature.addPbONature(newProject, null);
		
		return newProject;
	}

	@Override
	public String[] getNatures() {
		return (String[]) ArrayUtils.addAll(super.getNatures(), new String[] { WeaverNature.NATURE_ID });
	}
}
