package pboweaverplugin.view.constructs;

public class PbOBuilderFactory {
	private PbOBuilderFactory() { super(); }
	
	public static PbOParamBuilder getParamBuilder() {
		return new PbOParamBuilder();
	}
	
	public static PbOChoiceBuilder getChoiceBuilder() {
		return new PbOChoiceBuilder();
	}
	
	public static PbOLogBuilder getLogBuilder() {
		return new PbOLogBuilder();
	}

}
