package pboweaverplugin.view.constructs;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.List;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.swt.graphics.Image;

import pboweaverplugin.view.model.Location;

public class PbOChoice extends AbstractPbOObject {

	public PbOChoice(String name, Location declared, List<Location> accessed) {
		super(name, declared, accessed);
	}

	@Override
	public String getText() {
		return this.getName();
	}
	
	@Override
	public Image getImage() {
		try {
			URL file = new URL("platform:/plugin/PbOWeaverPlugin/icons/class_obj.gif");
			ImageDescriptor id = ImageDescriptor.createFromURL(file);
			return id.createImage();
		} catch (MalformedURLException e) {
			e.printStackTrace();
			return super.getImage();
		}
	}

}
