package pboweaverplugin.view.constructs;

import java.util.ArrayList;

import pboweaverplugin.view.model.Location;

public class PbOParamBuilder extends AbstractPbOBuilder {
	
	public PbOParamBuilder() {
		super();
		this.name = "PbO Parameter";
	}
	
	@Override
	public PbOParameter build() {
		PbOParameter ret = new PbOParameter(name, declared, accessed);
		resetToDefaults();
		return ret;
	}
	
	protected void resetToDefaults() {
		this.name = "PbO Parameter";
		declared = null;
		accessed = new ArrayList<Location>();
	}

}
