package pboweaverplugin.view.model;

import java.util.List;

import pboweaverplugin.view.constructs.AbstractPbOObject;

public interface IPbOModel {
	/**
	 * Models to the PbO View should subclass this interface
	 * 
	 * The model should return a list of Categories for the View to display
	 * 
	 * @return
	 */
	public List<PbOCategory> getPbOConstructs();
}
