package pboweaverplugin.view.parser.fsm.parameter;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

import pboweaverplugin.view.parser.fsm.PbOParserFiniteStateMachine;

public class ParamNameState extends ParamParserState {
	Pattern paramPattern = Pattern.compile("##(.+)");

	public ParamNameState(PbOParserFiniteStateMachine fsm) {
		super(fsm);
	}

	@Override
	public void parse(String line) {
		if (Pattern.matches(paramPattern.pattern(), line)) {
			Matcher matcher = paramPattern.matcher(line);
			matcher.matches();
			
			String name = matcher.group(1);
			getContext().getBuilder().setName(name);
		}
	}

}
