package ca.ubc.cs.beta.pbo.ast;

import org.eclipse.cdt.core.dom.ast.IASTDeclSpecifier;
import org.eclipse.cdt.core.dom.ast.IASTDeclarator;
import org.eclipse.cdt.core.dom.ast.IASTExpression;
import org.eclipse.cdt.core.dom.ast.IASTInitializer;
import org.eclipse.cdt.core.dom.ast.IASTName;
import org.eclipse.cdt.core.dom.ast.INodeFactory;
import org.eclipse.cdt.core.dom.ast.c.ICNodeFactory;
import org.eclipse.cdt.core.parser.EndOfFileException;
import org.eclipse.cdt.core.parser.IToken;
import org.eclipse.cdt.internal.core.dom.parser.BacktrackException;
import org.eclipse.cdt.internal.core.dom.parser.DeclarationOptions;

public interface PbOExporterInterface {
	public int getLookAheadCount();
	
	public IToken getLookAheadNext() throws EndOfFileException;
	
	public int LookAheadType(int n) throws EndOfFileException;
	
	public IToken consume() throws EndOfFileException;
	
	public IToken LookAhead(int n) throws EndOfFileException;

	public INodeFactory getNodeFactory();

	public int getConst();

	public void configureDeclSpec(IASTDeclSpecifier pbodeclspec, int scExtern, int const1);

	public void backup();

	public IToken mark() throws EndOfFileException;

	public void backup(IToken markEnd);

	public IASTExpression expression() throws BacktrackException, EndOfFileException;

	public IASTInitializer optionalInitializer(IASTDeclarator object, DeclarationOptions object2) throws EndOfFileException, BacktrackException;

	public IASTName getName(IToken name, String literalName);
}
